Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGenericEnSightReader Class Reference

`#include <vtkGenericEnSightReader.h>`

Inheritance diagram for vtkGenericEnSightReader:

[legend]
Collaboration diagram for vtkGenericEnSightReader:

[legend]
List of all members.

## Detailed Description

class to read any type of EnSight files

Date:
  2002/10/17 13:49:00

Revision:
  1.19

The class vtkGenericEnSightReader allows the user to read an EnSight data set without a priori knowledge of what type of EnSight data set it is.

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (82%)
  - Geveci, Berk (13%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkGenericEnSightReader.h)`
  - .`cxx` (`/IO/vtkGenericEnSightReader.cxx)`

Tests:
  vtkGenericEnSightReader (Tests)

Definition at line 49 of file vtkGenericEnSightReader.h.

## Public Types
typedef vtkDataSetSource | Superclass
enum | FileTypes { ENSIGHT_6 = 0, ENSIGHT_6_BINARY = 1, ENSIGHT_GOLD = 2, ENSIGHT_GOLD_BINARY = 3, ENSIGHT_MASTER_SERVER = 4 }
enum | { FILE_BIG_ENDIAN = 0, FILE_LITTLE_ENDIAN = 1 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Update ()
virtual void | ExecuteInformation ()
char * | GetDescription (int n)
char * | GetComplexDescription (int n)
char * | GetDescription (int n, int type)
int | DetermineEnSightVersion ()
void | RemoveAllVariableNames ()
int | IsRequestedVariable (char *variableName, int attributeType)
void | SetCaseFileName (const char *fileName)
virtual char * | GetCaseFileName ()
virtual void | SetFilePath (const char *)
virtual char * | GetFilePath ()
int | GetNumberOfVariables ()
int | GetNumberOfComplexVariables ()
int | GetNumberOfVariables (int type)
virtual int | GetNumberOfScalarsPerNode ()
virtual int | GetNumberOfVectorsPerNode ()
virtual int | GetNumberOfTensorsSymmPerNode ()
virtual int | GetNumberOfScalarsPerElement ()
virtual int | GetNumberOfVectorsPerElement ()
virtual int | GetNumberOfTensorsSymmPerElement ()
virtual int | GetNumberOfScalarsPerMeasuredNode ()
virtual int | GetNumberOfVectorsPerMeasuredNode ()
virtual int | GetNumberOfComplexScalarsPerNode ()
virtual int | GetNumberOfComplexVectorsPerNode ()
virtual int | GetNumberOfComplexScalarsPerElement ()
virtual int | GetNumberOfComplexVectorsPerElement ()
int | GetVariableType (int n)
int | GetComplexVariableType (int n)
virtual void | SetTimeValue (float)
virtual float | GetTimeValue ()
virtual float | GetMinimumTimeValue ()
virtual float | GetMaximumTimeValue ()
virtual vtkDataArrayCollection * | GetTimeSets ()
virtual void | ReadAllVariablesOn ()
virtual void | ReadAllVariablesOff ()
virtual void | SetReadAllVariables (int)
virtual int | GetReadAllVariables ()
void | AddVariableName (char *variableName, int attributeType)
void | AddPointVariableName (char *variableName)
void | AddCellVariableName (char *variableName)
void | RemoveAllPointVariableNames ()
void | RemoveAllCellVariableNames ()
int | GetNumberOfPointArrays ()
int | GetNumberOfCellArrays ()
void | SetByteOrderToBigEndian ()
void | SetByteOrderToLittleEndian ()
virtual void | SetByteOrder (int)
virtual int | GetByteOrder ()
const char * | GetByteOrderAsString ()
## Static Public Methods
vtkGenericEnSightReader * | New ()
int | IsTypeOf (const char *type)
vtkGenericEnSightReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGenericEnSightReader ()
| ~vtkGenericEnSightReader ()
void | Execute ()
int | ReadLine (char result[256])
int | ReadBinaryLine (char result[80])
int | ReadNextDataLine (char result[256])
virtual void | SetTimeSets (vtkDataArrayCollection *)
virtual void | SetGeometryFileName (const char *)
virtual char * | GetGeometryFileName ()
void | AddVariableDescription (char *description)
void | AddComplexVariableDescription (char *description)
void | AddVariableType (int variableType)
void | AddComplexVariableType (int variableType)
void | ReplaceWildcards (char *fileName, int timeSet, int fileSet)
void | ReplaceWildcardsHelper (char *fileName, int num)
## Protected Attributes
istream * | IS
FILE * | IFile
vtkGenericEnSightReader * | Reader
char * | CaseFileName
char * | GeometryFileName
char * | FilePath
int * | VariableTypes
int * | ComplexVariableTypes
char ** | VariableDescriptions
char ** | ComplexVariableDescriptions
int | NumberOfVariables
int | NumberOfComplexVariables
int | NumberOfScalarsPerNode
int | NumberOfVectorsPerNode
int | NumberOfTensorsSymmPerNode
int | NumberOfScalarsPerElement
int | NumberOfVectorsPerElement
int | NumberOfTensorsSymmPerElement
int | NumberOfScalarsPerMeasuredNode
int | NumberOfVectorsPerMeasuredNode
int | NumberOfComplexScalarsPerNode
int | NumberOfComplexVectorsPerNode
int | NumberOfComplexScalarsPerElement
int | NumberOfComplexVectorsPerElement
float | TimeValue
float | MinimumTimeValue
float | MaximumTimeValue
vtkDataArrayCollection * | TimeSets
int | ReadAllVariables
int | NumberOfRequestedPointVariables
int | NumberOfRequestedCellVariables
char ** | RequestedPointVariables
char ** | RequestedCellVariables
int | ByteOrder

## Member Typedef Documentation

typedef vtkDataSetSource vtkGenericEnSightReader::Superclass

| Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader. Definition at line 53 of file vtkGenericEnSightReader.h.

## Member Enumeration Documentation

enum vtkGenericEnSightReader::FileTypes

  | Enumeration values:
  ENSIGHT_6 |
  ENSIGHT_6_BINARY |
  ENSIGHT_GOLD |
  ENSIGHT_GOLD_BINARY |
  ENSIGHT_MASTER_SERVER |
Definition at line 174 of file vtkGenericEnSightReader.h.

anonymous enum

  | Enumeration values:
  FILE_BIG_ENDIAN |
  FILE_LITTLE_ENDIAN |
Definition at line 196 of file vtkGenericEnSightReader.h.

## Constructor & Destructor Documentation

vtkGenericEnSightReader::vtkGenericEnSightReader | ( |  | ) | `[protected]`

vtkGenericEnSightReader::~vtkGenericEnSightReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGenericEnSightReader* vtkGenericEnSightReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, and vtkEnSightMasterServerReader.

virtual const char* vtkGenericEnSightReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader.

int vtkGenericEnSightReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader.

virtual int vtkGenericEnSightReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader.

vtkGenericEnSightReader* vtkGenericEnSightReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader.

void vtkGenericEnSightReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetSource. Reimplemented in vtkEnSight6BinaryReader, vtkEnSight6Reader, vtkEnSightGoldBinaryReader, vtkEnSightGoldReader, vtkEnSightMasterServerReader, and vtkEnSightReader.

void vtkGenericEnSightReader::SetCaseFileName | ( | const char * | fileName | ) |

| Set/Get the Case file name.

virtual char* vtkGenericEnSightReader::GetCaseFileName | ( |  | ) | `[virtual]`

| Set/Get the Case file name.

virtual void vtkGenericEnSightReader::SetFilePath | ( | const char * |  | ) | `[virtual]`

| Set/Get the file path.

virtual char* vtkGenericEnSightReader::GetFilePath | ( |  | ) | `[virtual]`

| Set/Get the file path.

virtual void vtkGenericEnSightReader::Update | ( |  | ) | `[virtual]`

| Bring object up-to-date before execution. Update() checks modified time against last execution time, and re-executes object if necessary. Reimplemented from vtkSource. Reimplemented in vtkEnSightReader.

virtual void vtkGenericEnSightReader::ExecuteInformation | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkEnSightMasterServerReader, and vtkEnSightReader.

int vtkGenericEnSightReader::GetNumberOfVariables | ( |  | ) | `[inline]`

| Get the number of variables listed in the case file. Definition at line 73 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::GetNumberOfComplexVariables | ( |  | ) | `[inline]`

| Get the number of variables listed in the case file. Definition at line 74 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::GetNumberOfVariables | ( | int | type | ) |

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfScalarsPerNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfVectorsPerNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfTensorsSymmPerNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfScalarsPerElement | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfVectorsPerElement | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfTensorsSymmPerElement | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfScalarsPerMeasuredNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfVectorsPerMeasuredNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfComplexScalarsPerNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfComplexVectorsPerNode | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfComplexScalarsPerElement | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

virtual int vtkGenericEnSightReader::GetNumberOfComplexVectorsPerElement | ( |  | ) | `[virtual]`

| Get the number of variables of a particular type.

char* vtkGenericEnSightReader::GetDescription | ( | int | n | ) |

| Get the nth description for a non-complex variable.

char* vtkGenericEnSightReader::GetComplexDescription | ( | int | n | ) |

| Get the nth description for a complex variable.

char* vtkGenericEnSightReader::GetDescription | ( | int | n,
|  | int | type
| ) |

| Get the nth description of a particular variable type. Returns NULL if no variable of this type exists in this data set. SCALAR_PER_NODE = 0; VECTOR_PER_NODE = 1; TENSOR_SYMM_PER_NODE = 2; SCALAR_PER_ELEMENT = 3; VECTOR_PER_ELEMENT = 4; TENSOR_SYMM_PER_ELEMENT = 5; SCALAR_PER_MEASURED_NODE = 6; VECTOR_PER_MEASURED_NODE = 7; COMPLEX_SCALAR_PER_NODE = 8; COMPLEX_VECTOR_PER_NODE 9; COMPLEX_SCALAR_PER_ELEMENT = 10; COMPLEX_VECTOR_PER_ELEMENT = 11

int vtkGenericEnSightReader::GetVariableType | ( | int | n | ) |

| Get the variable type of variable n.

int vtkGenericEnSightReader::GetComplexVariableType | ( | int | n | ) |

| Get the variable type of variable n.

virtual void vtkGenericEnSightReader::SetTimeValue | ( | float |  | ) | `[virtual]`

| Set/Get the time value at which to get the value.

virtual float vtkGenericEnSightReader::GetTimeValue | ( |  | ) | `[virtual]`

| Set/Get the time value at which to get the value.

virtual float vtkGenericEnSightReader::GetMinimumTimeValue | ( |  | ) | `[virtual]`

| Get the minimum or maximum time value for this data set.

virtual float vtkGenericEnSightReader::GetMaximumTimeValue | ( |  | ) | `[virtual]`

| Get the minimum or maximum time value for this data set.

virtual vtkDataArrayCollection* vtkGenericEnSightReader::GetTimeSets | ( |  | ) | `[virtual]`

| Get the time values per time set

int vtkGenericEnSightReader::DetermineEnSightVersion | ( |  | ) |

| Reads the FORMAT part of the case file to determine whether this is an EnSight6 or EnSightGold data set. Returns 0 if the format is EnSight6, 1 if it is EnSightGold, and -1 otherwise (meaning an error occurred).

virtual void vtkGenericEnSightReader::ReadAllVariablesOn | ( |  | ) | `[virtual]`

| Set/get the flag for whether to read all the variables

virtual void vtkGenericEnSightReader::ReadAllVariablesOff | ( |  | ) | `[virtual]`

| Set/get the flag for whether to read all the variables

virtual void vtkGenericEnSightReader::SetReadAllVariables | ( | int |  | ) | `[virtual]`

| Set/get the flag for whether to read all the variables

virtual int vtkGenericEnSightReader::GetReadAllVariables | ( |  | ) | `[virtual]`

| Set/get the flag for whether to read all the variables

void vtkGenericEnSightReader::AddVariableName | ( | char * | variableName,
|  | int | attributeType
| ) |

| Specify which variables to read. attributeType specifies whether this variable is point (=0) or cell (=1) data.

void vtkGenericEnSightReader::AddPointVariableName | ( | char * | variableName | ) |

| Specify which variables to read. attributeType specifies whether this variable is point (=0) or cell (=1) data.

void vtkGenericEnSightReader::AddCellVariableName | ( | char * | variableName | ) |

| Specify which variables to read. attributeType specifies whether this variable is point (=0) or cell (=1) data.

void vtkGenericEnSightReader::RemoveAllVariableNames | ( |  | ) |

| Remove all the requested variable names.

void vtkGenericEnSightReader::RemoveAllPointVariableNames | ( |  | ) |

| Remove all requested point/cell variable names.

void vtkGenericEnSightReader::RemoveAllCellVariableNames | ( |  | ) |

| Remove all requested point/cell variable names.

int vtkGenericEnSightReader::IsRequestedVariable | ( | char * | variableName,
|  | int | attributeType
| ) |

| Will this variable be loaded? attributeType specifies whether this variable is point (=0) or cell (=1) data.

int vtkGenericEnSightReader::GetNumberOfPointArrays | ( |  | ) |

| Get the number of point/cell arrays in this data set.

int vtkGenericEnSightReader::GetNumberOfCellArrays | ( |  | ) |

| Get the number of point/cell arrays in this data set.

void vtkGenericEnSightReader::SetByteOrderToBigEndian | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

void vtkGenericEnSightReader::SetByteOrderToLittleEndian | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

virtual void vtkGenericEnSightReader::SetByteOrder | ( | int |  | ) | `[virtual]`

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

virtual int vtkGenericEnSightReader::GetByteOrder | ( |  | ) | `[virtual]`

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

const char* vtkGenericEnSightReader::GetByteOrderAsString | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

void vtkGenericEnSightReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkEnSightMasterServerReader, and vtkEnSightReader.

int vtkGenericEnSightReader::ReadLine | ( | char | result[256] | ) | `[protected]`

| Internal function to read in a line up to 256 characters. Returns zero if there was an error.

int vtkGenericEnSightReader::ReadBinaryLine | ( | char | result[80] | ) | `[protected]`

| Internal function to read up to 80 characters from a binary file. Returns zero if there was an error.

int vtkGenericEnSightReader::ReadNextDataLine | ( | char | result[256] | ) | `[protected]`

virtual void vtkGenericEnSightReader::SetGeometryFileName | ( | const char * |  | ) | `[protected, virtual]`

| Set/Get the geometry file name. Reimplemented in vtkEnSightGoldReader, and vtkEnSightReader.

virtual char* vtkGenericEnSightReader::GetGeometryFileName | ( |  | ) | `[protected, virtual]`

| Set/Get the geometry file name. Reimplemented in vtkEnSightGoldReader, and vtkEnSightReader.

void vtkGenericEnSightReader::AddVariableDescription | ( | char * | description | ) | `[protected]`

| Add a variable description to the appropriate array. Reimplemented in vtkEnSightReader.

void vtkGenericEnSightReader::AddComplexVariableDescription | ( | char * | description | ) | `[protected]`

| Add a variable description to the appropriate array.

void vtkGenericEnSightReader::AddVariableType | ( | int | variableType | ) | `[protected]`

| Add a variable type to the appropriate array.

void vtkGenericEnSightReader::AddComplexVariableType | ( | int | variableType | ) | `[protected]`

| Add a variable type to the appropriate array.

void vtkGenericEnSightReader::ReplaceWildcards | ( | char * | fileName,
|  | int | timeSet,
|  | int | fileSet
| ) | `[protected]`

| Replace the wildcards in the geometry file name with appropriate filename numbers as specified in the time set or file set.

void vtkGenericEnSightReader::ReplaceWildcardsHelper | ( | char * | fileName,
|  | int | num
| ) | `[protected]`

| Replace the wildcards in the geometry file name with appropriate filename numbers as specified in the time set or file set.

virtual void vtkGenericEnSightReader::SetTimeSets | ( | vtkDataArrayCollection * |  | ) | `[protected, virtual]`

## Member Data Documentation

istream* vtkGenericEnSightReader::IS`[protected]`

| Definition at line 247 of file vtkGenericEnSightReader.h.

FILE* vtkGenericEnSightReader::IFile`[protected]`

| Reimplemented in vtkEnSight6BinaryReader, and vtkEnSightGoldBinaryReader. Definition at line 248 of file vtkGenericEnSightReader.h.

vtkGenericEnSightReader* vtkGenericEnSightReader::Reader`[protected]`

| Definition at line 249 of file vtkGenericEnSightReader.h.

char* vtkGenericEnSightReader::CaseFileName`[protected]`

| Definition at line 251 of file vtkGenericEnSightReader.h.

char* vtkGenericEnSightReader::GeometryFileName`[protected]`

| Definition at line 252 of file vtkGenericEnSightReader.h.

char* vtkGenericEnSightReader::FilePath`[protected]`

| Definition at line 253 of file vtkGenericEnSightReader.h.

int* vtkGenericEnSightReader::VariableTypes`[protected]`

| Definition at line 256 of file vtkGenericEnSightReader.h.

int* vtkGenericEnSightReader::ComplexVariableTypes`[protected]`

| Definition at line 257 of file vtkGenericEnSightReader.h.

char** vtkGenericEnSightReader::VariableDescriptions`[protected]`

| Definition at line 260 of file vtkGenericEnSightReader.h.

char** vtkGenericEnSightReader::ComplexVariableDescriptions`[protected]`

| Definition at line 261 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfVariables`[protected]`

| Definition at line 263 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfComplexVariables`[protected]`

| Definition at line 264 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfScalarsPerNode`[protected]`

| Definition at line 267 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfVectorsPerNode`[protected]`

| Definition at line 268 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfTensorsSymmPerNode`[protected]`

| Definition at line 269 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfScalarsPerElement`[protected]`

| Definition at line 270 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfVectorsPerElement`[protected]`

| Definition at line 271 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfTensorsSymmPerElement`[protected]`

| Definition at line 272 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfScalarsPerMeasuredNode`[protected]`

| Definition at line 273 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfVectorsPerMeasuredNode`[protected]`

| Definition at line 274 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfComplexScalarsPerNode`[protected]`

| Definition at line 275 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfComplexVectorsPerNode`[protected]`

| Definition at line 276 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfComplexScalarsPerElement`[protected]`

| Definition at line 277 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfComplexVectorsPerElement`[protected]`

| Definition at line 278 of file vtkGenericEnSightReader.h.

float vtkGenericEnSightReader::TimeValue`[protected]`

| Definition at line 280 of file vtkGenericEnSightReader.h.

float vtkGenericEnSightReader::MinimumTimeValue`[protected]`

| Definition at line 281 of file vtkGenericEnSightReader.h.

float vtkGenericEnSightReader::MaximumTimeValue`[protected]`

| Definition at line 282 of file vtkGenericEnSightReader.h.

vtkDataArrayCollection* vtkGenericEnSightReader::TimeSets`[protected]`

| Definition at line 284 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::ReadAllVariables`[protected]`

| Definition at line 287 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfRequestedPointVariables`[protected]`

| Definition at line 288 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::NumberOfRequestedCellVariables`[protected]`

| Definition at line 289 of file vtkGenericEnSightReader.h.

char** vtkGenericEnSightReader::RequestedPointVariables`[protected]`

| Definition at line 290 of file vtkGenericEnSightReader.h.

char** vtkGenericEnSightReader::RequestedCellVariables`[protected]`

| Definition at line 291 of file vtkGenericEnSightReader.h.

int vtkGenericEnSightReader::ByteOrder`[protected]`

| Definition at line 293 of file vtkGenericEnSightReader.h.

The documentation for this class was generated from the following file:

- IO/vtkGenericEnSightReader.h